Page MenuHomePhabricator

Flow: Without javascript there is no "preview" button when creating or editing content
Open, LowestPublic

Description

As an editor without javascript (tested in Opera with JS turned off), there is no "preview" button for any action.

Details

Reference
bz57895

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:40 AM
bzimport set Reference to bz57895.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity created this task.Dec 2 2013, 10:32 PM

bingle-admin wrote:

The WMF core features team tracks this bug on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/562, but people from the community are welcome to contribute here and in Gerrit.

TheDJ added a comment.Sep 2 2014, 2:09 PM

This seems fixed to me...

Eh, could the Flow team be a bit more proactive about their bugeport maintenance please ??

Inkowik added a subscriber: Inkowik.Dec 8 2014, 7:56 PM

No, I still do not see any preview or cancel buttons.

(Firefox 33.1, Win8)

Lack of cancel button is intended, as it doesn't make sense in no-JS context.
Without JS, you're taken to a designated page to reply/edit/... You can just hit the browser 'back' button to go back to where you came from. There's no special kind of interaction going on that has to be cancelled.

Preview is something else. That too is intentionally lacking, but for other reasons: it's a lot of work to build a no-JS alternative for every feature, so some (non-crucial to discussion) features are ignored (for now).

Elitre added a subscriber: Elitre.Dec 10 2014, 3:35 PM
Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:42 AM

I think this is a Declined given that we're going to be using VE for preview.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 1 2015, 8:55 PM
Mattflaschen-WMF closed this task as Declined.Apr 1 2015, 8:55 PM
Mattflaschen-WMF claimed this task.
Mattflaschen-WMF removed Mattflaschen-WMF as the assignee of this task.
Mattflaschen-WMF set Security to None.

@Mattflaschen this task is about the non-js UI, so VE does not apply here. Does it?

The lack of a cancel button is completely intentional, every browser has a back button and we should not be re-implementing that. The preview does need to be solved.

@EBernhardson might we reopen this task for the "preview" button only?

EBernhardson renamed this task from Flow: Without javascript, there are no "cancel" or "preview" buttons for creating or editing content to Flow: Without javascript, there is no "preview" buttons for creating or editing content.Apr 2 2015, 5:21 PM
EBernhardson renamed this task from Flow: Without javascript, there is no "preview" buttons for creating or editing content to Flow: Without javascript there is no "preview" button when creating or editing content.
EBernhardson reopened this task as Open.
EBernhardson raised the priority of this task from Normal to Needs Triage.
EBernhardson updated the task description. (Show Details)
EBernhardson triaged this task as Lowest priority.Apr 2 2015, 6:00 PM
Ricordisamoa updated the task description. (Show Details)Apr 3 2015, 8:43 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 18 2018, 6:57 PM
SBisson moved this task from Inbox to Triaged but Future on the Growth-Team board.Jul 20 2018, 6:11 PM